### Method

# Pango Renderer draw_error_underline

since: 1.8

#### Declaration [src]

    void
    pango_renderer_draw_error_underline (
      PangoRenderer* renderer,
      int x,
      int y,
      int width,
      int height
    )

#### Description [src]

Draw a squiggly line that approximately covers the given rectangle in the style of an underline used to indicate a spelling error.

The width of the underline is rounded to an integer number of up/down segments and the resulting rectangle is centered in the original rectangle.

This should be called while `renderer` is already active. Use `pango_renderer_activate()` to activate a renderer.

Available since: 1.8

#### Parameters

`x`

  Type: `int`

  X coordinate of underline, in Pango units in user coordinate system.

`y`

  Type: `int`

  Y coordinate of underline, in Pango units in user coordinate system.

`width`

  Type: `int`

  Width of underline, in Pango units in user coordinate system.

`height`

  Type: `int`

  Height of underline, in Pango units in user coordinate system.